//-< SpatialObject.java >--------------------------------------------*--------*
// GOODS                      Version 2.02       (c) 1998  GARRET    *     ?  *
// (Generic Object Oriented Database System)                         *   /\|  *
// GOODS Persistent Class Library                                    *  /  \  *
//                          Created:     17-Mar-2005  K.A. Knizhnik  * / [] \ *
//                          Last update: 17-Mar-2005  K.A. Knizhnik  * GARRET *
//-------------------------------------------------------------------*--------*
// Spatial object
//-------------------------------------------------------------------*--------*

package goodslib;
import  goodsjpi.*;

/**
 * Spatial object - object with R2 coordinates
 */
public class SpatialObject extends Persistent { 
    private double top;
    private double left;
    private double bottom;
    private double right;

    public Rectangle getRectangle() { 
        return new Rectangle(top, left, bottom, right);
    }

    public void setRectangle(Rectangle r) { 
        top = r.getTop();
        left = r.getLeft();
        bottom = r.getBottom();
        right = r.getRight();
    }
}
    
