# -*- makefile -*-
# Main makefile for Windows.
#--------------------------------------------------------------------


library: 
	cd src
	make
	cd ..
tests:
	cd examples
	make
	cd ..
jar:
	cd java
	make
	cd ..

all: library tests jar

clean:
	-del /q *~,*.ncb,*.opt
	cd src
	make clean
	cd ..\examples
	make clean
	cd ..\java
	make clean
	cd ..
	-rd /s/q csharp\examples\Guess\bin
	-rd /s/q csharp\examples\Guess\obj
	-rd /s/q csharp\examples\TestIndex\bin
	-rd /s/q csharp\examples\TestIndex\obj
	-rd /s/q csharp\goodsapi.NET\bin
	-rd /s/q csharp\goodsapi.NET\obj
	-rd /s/q clntmfc\Release
	-rd /s/q clntmfc\Debug
	-rd /s/q srvrmfc\Release
	-rd /s/q srvrmfc\Debug

cleandist: clean
	-del /q bin\*.manifest
	-del /q bin\*.ilk
	-del /q bin\*.pdb
	-del /q lib\*.opt
	-del /q lib\*.ilk
	-del /q lib\*.lib
	-del /q lib\*.exp
	-del /q lib\*.dll
	-del /q lib\*.pdb

cleanall: clean
	-del /q lib\*
	-del /q bin\*


zip: cleandist
	cd ..
	-del /q goods.zip
        zip -r goods.zip goods

copyzip: zip
	copy goods.zip a:



